std::__debug::vector< _Tp, _Allocator >(3cxx)

NAME
std::__debug::vector< _Tp, _Allocator > - Class std::vector with safety/checking/debug instrumentation.

SYNOPSIS

#include <vector>

Inherits __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >, and .

Inherited by std::__debug::vector< _Tp, std::allocator< _Tp > >.

  Public Types

typedef _Allocator allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, vector > const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __gnu_debug::_Safe_iterator< _Base_iterator, vector > iterator
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Tp value_type

  Public Member Functions

vector (_Base_ref __x)
Construction from a normal-mode vector.
template<class _InputIterator, typename = std::_RequireInputIter<_InputIterator>> vector (_InputIterator __first, _InputIterator __last, const _Allocator &__a=_Allocator())
vector (const _Allocator &__a) noexcept
vector (const vector &)=default
vector (const vector &__x, const __type_identity_t< allocator_type > &__a)
vector (initializer_list< value_type > __l, const allocator_type &__a=allocator_type())
vector (size_type __n, const __type_identity_t< _Tp > &__value, const _Allocator &__a=_Allocator())
vector (size_type __n, const _Allocator &__a=_Allocator())
vector (vector &&)=default
vector (vector &&__x, const __type_identity_t< allocator_type > &__a) noexcept(std::is_nothrow_constructible< _Base, _Base, const allocator_type & >::value)
const _Base & _M_base () const noexcept
_Base & _M_base () noexcept
template<typename _InputIterator, typename = std::_RequireInputIter<_InputIterator>> void assign (_InputIterator __first, _InputIterator __last)
void assign (initializer_list< value_type > __l)
void assign (size_type __n, const _Tp &__u)
const_reference back () const noexcept
reference back () noexcept
const_iterator begin () const noexcept
iterator begin () noexcept
size_type capacity () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (const_iterator __position, _Args &&... __args)
template<typename... _Args> reference emplace_back (_Args &&... __args)
const_iterator end () const noexcept
iterator end () noexcept
iterator erase (const_iterator __first, const_iterator __last)
iterator erase (const_iterator __position)
const_reference front () const noexcept
reference front () noexcept
template<class _InputIterator, typename = std::_RequireInputIter<_InputIterator>> iterator insert (const_iterator __position, _InputIterator __first, _InputIterator __last)
template<typename _Up = _Tp> __gnu_cxx::__enable_if<!std::__are_same< _Up, bool >::__value, iterator >::__type insert (const_iterator __position, _Tp &&__x)
iterator insert (const_iterator __position, const _Tp &__x)
iterator insert (const_iterator __position, initializer_list< value_type > __l)
iterator insert (const_iterator __position, size_type __n, const _Tp &__x)
vector & operator= (const vector &)=default
vector & operator= (initializer_list< value_type > __l)
vector & operator= (vector &&)=default
const_reference operator[] (size_type __n) const noexcept
reference operator[] (size_type __n) noexcept
void pop_back () noexcept
template<typename _Up = _Tp> __gnu_cxx::__enable_if<!std::__are_same< _Up, bool >::__value, void >::__type push_back (_Tp &&__x)
void push_back (const _Tp &__x)
const_reverse_iterator rbegin () const noexcept
reverse_iterator rbegin () noexcept
const_reverse_iterator rend () const noexcept
reverse_iterator rend () noexcept
void reserve (size_type __n)
void resize (size_type __sz)
void resize (size_type __sz, const _Tp &__c)
void shrink_to_fit ()
void swap (vector &__x) noexcept(/*conditional */)

  Protected Member Functions

bool _M_requires_reallocation (size_type __elements) const noexcept
void _M_swap (_Safe_container &__x) noexcept
void _M_update_guaranteed_capacity () noexcept

  Protected Attributes

size_type _M_guaranteed_capacity

  Friends

template<typename _ItT, typename _SeqT, typename _CatT> class ::__gnu_debug::_Safe_iterator

Detailed Description

  template<typename _Tp, typename _Allocator = std::allocator<_Tp>>
class std::__debug::vector< _Tp, _Allocator >"Class std::vector with safety/checking/debug instrumentation.

Constructor & Destructor Documentation

  template<typename _Tp, typename _Allocator = std::allocator<_Tp>> std::__debug::vector< _Tp, _Allocator >::vector (_Base_ref __x) [inline]

Construction from a normal-mode vector.

Author

Generated automatically by Doxygen for libstdc++ from the source code.